### Method

# GIRepository ObjectInfo get_fundamental

since: 2.80

#### Declaration [src]

    gboolean
    gi_object_info_get_fundamental (
      GIObjectInfo* info
    )

#### Description [src]

Obtain if the object type is of a fundamental type which is not `G_TYPE_OBJECT`.

This is mostly for supporting `GstMiniObject`.

Available since: 2.80

#### Return value

Type: `gboolean`

`TRUE` if the object type is a fundamental type.